var jPhidget22 = require('phidget22');

var SERVER_PORT = 5661;

function main() {

	if (process.argv.length != 3) {
		console.log('usage: node LCD.js <server address>');
		process.exit(1);
	}

	var url = 'phid://' + process.argv[2] + ':' + SERVER_PORT;

	console.log('connecting to:' + url);
	var conn = new jPhidget22.Connection(url, { name: 'Server Connection', passwd: '' });
	conn.connect()
	  .then(runExample)
	  .catch(function (err) {
	  	console.log('Error running example:' + err);
		process.exit(1);
	  });
}

function runExample() {

	console.log('connected to server');
	var ch = new jPhidget22.LCD();

	ch.onAttach = function(ch) {
		console.log(ch + ' attached');
		if(ch.getDeviceID() === jPhidget22.DeviceID.PHIDID_1204)
			ch.setScreenSize(jPhidget22.LCDScreenSize.SCREEN_SIZE_2x40);
		ch.setBacklight(1);
		ch.writeText(jPhidget22.LCDFont.FONT_5x8, 0, 0, "Phidgets");
		ch.flush();
	};

	ch.onDetach = function(ch) {
		console.log(ch + ' detached');
	};

	ch.open().then(function (ch) {
		console.log('channel open');
	}).catch(function (err) {
		console.log('failed to open the channel:' + err);
	});
}

if (require.main === module)
	main();
